// 各JSの設定

// Lazy Load - 画像の遅延読み込み
$(function(){
	$('#main img').lazyload({
		threshold : 250,
		placeholder : "/theme/004/sample/img/share/gray.gif",
		effect : "fadeIn"
	});
});

// ColorBox - ライトボックス
$(function(){
	$('#main a[rel="picGrp"]').not("#main .pictureList a").colorbox({maxWidth:"90%", maxHeight:"90%", title:" ", close:"× close", next:"next &raquo;", previous:"&laquo; prev"});
	$("#main .pictureList a[rel]").colorbox({maxWidth:"90%", maxHeight:"90%", slideshow:"true", slideshowSpeed:"3000", close:"× close", next:"next &raquo;", previous:"&laquo; prev"});
	$("#main .colorbox").colorbox({maxWidth:"90%", maxHeight:"90%", close:"× close"});
});

// クリックで選択 トラックバックURL用
$(function(){
	$('#trackBackURL').click(function(){
		$(this).select();
	});
});

// vGrid - 可変グリッドボックスの整列
$(function(){
	$("#vgridSubArea").vgrid({
		easeing: "easeOutQuint",
		time: 400,
		delay: 20
	});
	$("#vgridArticleArea").vgrid({
		easeing: "easeOutQuint",
		useLoadImageEvent: true,
		time: 400,
		delay: 20,
		fadeIn: {
			time: 500,
			delay: 50
		}
	});
});

// droppy プルダウンメニュー
$(function() {
	$('#globalHeader nav ul').droppy({speed: 200});
});
